/* 标题 start */
.centerContent .card-header {
    margin-left: -20px;
    margin-right: -20px;
    padding: 15px 20px;
}

.centerContent .card-header .title,
.centerContent .card-header h1 {
    text-align: center;
    font: inherit;
    font-weight: 600;
    font-family: "Songti", "Songti SC", "STSong", "宋体", "Noto Serif CJK SC", "Source Han Serif SC", "Source Han Serif CN", STSong, "AR PL New Sung", "AR PL SungtiL GB", NSimSun, SimSun, "TW-Sung", "WenQuanYi Bitmap Song", "AR PL UMing CN", "AR PL UMing HK", "AR PL UMing TW", "AR PL UMing TW MBE", PMingLiU, MingLiU, serif;
    padding-top: 15px;
    color: #212112;
    margin-bottom: 0 !important;
    font-size: 30px;
    display: block;
    text-indent: 0,
}

.centerContent .summary {
    font-size: .875rem;
    text-align: center;
    border-bottom: 1px solid #f0f0f0;
}

.centerContent .title+.summary,
.centerContent h1+.summary {
    padding: 5px 0 15px !important;
    margin: 0 !important;
    color: #666;
}

.centerContent .description {
    font-size: .875rem;
    color: var(--body-info-color);
    margin-bottom: 0;
}

.centerContent .title+.summary+.description,
.centerContent h1+.summary+.description {
    margin-top: 15px !important;
}

/* 标题 end */

.content-nav-list {
    padding-bottom: 10px;
    padding-top: 5px;
}

.content-nav-list .title {
    font-size: 14px !important;
    margin-bottom: 5px;
    height: auto !important;
    text-indent: 0 !important;
}

.content-nav-list .list {
    display: flex;
    flex-wrap: wrap;
    justify-content: start;
}

.content-nav-list .list a {
    white-space: nowrap;
    text-align: center;
    border: 1px solid var(--color-border-tertiary);
    background-color: #f9f9f9;
    border-radius: 5px;
    font-size: 14px;
    padding: 5px 15px;
    margin: 5px;
    color: var(--color-primary);
    width: 62.6px;
    transition: none;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.content-nav-list.w12 .list a {
    width: calc((100% - 120px) / 12);
}

.content-nav-list.w5 .list a {
    width: calc((100% - 50px) /5);
}

.content-nav-list .list a:hover {
    color: #dc3545;
    background-color: #fff;
}

.content-nav-list .list a.active {
    position: relative;
    background-color: red;
    font-weight: 700;
    color: #fff;
}

/* 笔画 */
.content-bihua {
    margin: 20px 0;
}

.content-bihua .content-list {
    padding: 10px;
}

.content-bihua .content-list .content-card-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid #ccc;
    padding-bottom: 10px;
}

.content-bihua .content-list .content-card-header.position-sticky {
    position: sticky;
    z-index: 99;
    top: 0;
    -webkit-backdrop-filter: blur(5px);
    backdrop-filter: blur(5px);
    padding: 5px;
}

.content-bihua .content-list .content-card-header .title {
    margin: 0;
    padding-right: 6px;
    font-size: 20px;
}

.content-bihua .content-list .content-card-header a {
    color: var(--color-primary);
    text-decoration: none;
    transition: none;
}

.content-bihua .content-list .content-card-header a:hover {
    color: var(--color-hover-text);
}

.content-bihua .content-list .content-card-header a:before {
    content: "#";
    margin-right: 6px;
    color: #f0f0f0;
    font-size: 20px;
}

.content-bihua .content-list .content-card-header a b {
    font-size: 20px;
    font-weight: bold;
}

.content-bihua .content-list .content-card-header a .bihua-number {
    font-size: 16px;
    font-weight: 500;
}

.content-bihua .content-list .content-card-header .count {
    color: rgba(0, 0, 0, 0.5);
    font-size: 14px;
}

.content-bihua .content-list .content-card-header .count strong {
    font-weight: bold;
}

/* 内容1 start */
.content-bihua .content-list .zi-content-item {
    display: flex;
    align-items: center;
    padding: 30px 0 20px;
    flex-wrap: wrap;
    gap: 15.3px;
}

.content-bihua .content-list .zi-content-item .zi-list {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-end;
    position: relative;
    border: 1px solid var(--color-list-block-border);
    background-color: var(--color-list-block-bg);
    border-radius: 6px;
    box-shadow: 0 1px 1px 0 rgba(52, 27, 159, .1);
    transition: all .2s ease-out;
    height: 90px;
    padding: 6px;
    width: 50px;
    cursor: pointer;
}

.content-bihua .content-list .zi-content-item .zi-list.w10 {
    width: calc((100% - 140px) / 10);
}

.content-bihua .content-list .zi-content-item .zi-list:hover {
    border: 1px solid var(--color-list-block-border-hover);
    background-color: var(--color-list-block-bg-hover);
    box-shadow: 0 10px 25px rgba(0, 0, 0, .05), 0 20px 48px rgba(0, 0, 0, .05), 0 1px 4px rgba(0, 0, 0, .1);
}

.content-bihua .content-list .zi-content-item .zi-list span {
    padding: 0 6px;
}

.content-bihua .content-list .zi-content-item .zi-list .py {
    width: 100%;
    text-align: center;
    display: block;
    font-size: 16px;
    padding: 0 3px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    color: #333;
}

.content-bihua .content-list .zi-content-item .zi-list .bh {
    color: #999;
    width: 100%;
    text-align: center;
    font-size: 12px;
    margin-top: 0;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.content-bihua .content-list .zi-content-item .zi-list .tag {
    position: absolute;
    top: -1px;
    left: -1px;
    margin: 0;
    font-size: 11px;
    color: #fff;
    background-color: rgba(0, 0, 255, .4);
    border-bottom-right-radius: 5px;
    border-top-left-radius: 5px;
}

.content-bihua .content-list .zi-content-item .zi-list .han {
    font-family: "Songti", "Songti SC", "STSong", "宋体", "Noto Serif CJK SC", "Source Han Serif SC", "Source Han Serif CN", STSong, "AR PL New Sung", "AR PL SungtiL GB", NSimSun, SimSun, "TW-Sung", "WenQuanYi Bitmap Song", "AR PL UMing CN", "AR PL UMing HK", "AR PL UMing TW", "AR PL UMing TW MBE", PMingLiU, MingLiU, serif;
    display: block;
    font-weight: 500;
    font-size: 26px;
    color: #333;
    transition: none;
    line-height: 1;
    margin-bottom: 8px;
}

.content-bihua .content-list .zi-content-item .zi-list:hover .han {
    color: var(--color-hover-text);
}

.content-bihua .content-list .zi-content-item .zi-list .zone {
    position: absolute;
    bottom: 2px;
    right: 0;
    font-size: 12px;
    color: rgba(50, 50, 50, 0.6);
}

/* 内容1 end */

/* 内容2 start */
.content-bihua .content-list .content-card-body {
    padding: 20px 0;
}

.content-bihua .content-list .content-card-body .category-list {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
}

.content-bihua .content-list .content-card-body .radical-list {
    font-size: 32px;
}

.content-bihua .content-list .content-card-body .category-list li {
    width: calc(10% - 10px);
    margin: 5px;
}

.content-bihua .content-list .content-card-body .category-list li a {
    background-color: #fff;
    border: 2px solid #e9ecef;
    text-align: center;
    display: block;
    border-radius: 5px;
    padding: 8px 0;
    color: #212112;
    box-shadow: rgba(200, 200, 200, 0.3);
    transition: all ease .2s;
}

.content-bihua .content-list .content-card-body .category-list li a:hover {
    color: red;
    border-color: var(--btn-hover-color);
    background-color: var(--btn-hover-bg-color);
}

/* 内容2 end */

@media screen and (max-width: 768px) {
    .content-bihua .content-list .content-card-body .category-list li {
        width: calc(20% - 10px);
        margin: 5px;
    }

    .content-bihua .content-list .zi-content-item {
        gap: 10px;
    }

    .content-bihua .content-list .zi-content-item .zi-list {
        width: calc(25% - 21.5px);
    }

    .content-bihua .content-list .zi-content-item .zi-list.w10 {
        width: calc((100% - 40px) / 5);
    }

    .content-nav-list .list a {
        width: calc((100% - 30px) / 3);
    }

    .content-nav-list.w5 .list a {
        width: calc((100% - 20px) /2);
    }
}